Đến nội dung


Hình ảnh

Chọn đối tượng theo màu


  • Please log in to reply
8 replies to this topic

#1 huynhpro

huynhpro

    biết vẽ arc

  • Members
  • PipPip
  • 49 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 20 March 2009 - 12:31 PM

Các bác ơi! Em vừa nhận một bản vẽ không dùng layer mà hoàn toàn phân biệt bằng màu... HIX. Làm thế nào để chọn đối tượng theo màu được để tạo layer cho nó
Thank
  • 0

#2 PHILU

PHILU

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 20 March 2009 - 12:40 PM

Chọn bằng Qselect:
-Gõ lệnh Qselect:
-Ở mục Object type bạn chọn là layer rồi chọn by colour
chọn màu mà mình cần cho nó vô 1 layer ..that all
  • 0

#3 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 20 March 2009 - 01:42 PM

Các bác ơi! Em vừa nhận một bản vẽ không dùng layer mà hoàn toàn phân biệt bằng màu... HIX. Làm thế nào để chọn đối tượng theo màu được để tạo layer cho nó
Thank

Câu trả lời của mình không đúng hoàn toàn với câu hỏi của bạn nhưng mình nghỉ nó có ích với trường hợp của bạn.
Dùng lisp sau tên mrl. gỏ lệnh xong ngồi chờ nó tự đọc màu tạo layer và chuyễn đối tượng cho bạn.

(Defun c:MRL ()
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(setq XX (ssget "x"))
(setq L 0)
(setq M (sslength XX))
(while (< L M)
(setq DT (ssname XX L))
(setq DTM (entget DT))
(setq TEXT (cdr (assoc 10 DTM)))
(setq MAUDt (cdr (assoc 62 DTM)))
(luuos)
(setvar "osmode" 0)

(command "-layer" "new" MAUDT "color" MAUDT MAUDT "")
(command ".chprop" DT "" "la" MAUDT "COLOR" "BYLAYER" "")
(traos)
(setq L (1+ L))
)

(setq nhan (* l 100))
(setq chia (/ nhan m))
(princ (strcat "\nDa chinh: <" (itoa chia) " %>"))

(Princ)
)

  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#4 Phiphi-

Phiphi-

    biết lệnh minsert

  • Members
  • PipPipPipPipPipPip
  • 434 Bài viết
Điểm đánh giá: 175 (tàm tạm)

Đã gửi 20 March 2009 - 05:07 PM

Câu trả lời của mình không đúng hoàn toàn với câu hỏi của bạn nhưng mình nghỉ nó có ích với trường hợp của bạn.
Dùng lisp sau tên mrl. gỏ lệnh xong ngồi chờ nó tự đọc màu tạo layer và chuyễn đối tượng cho bạn.

(Defun c:MRL ()
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(setq XX (ssget "x"))
(setq L 0)
(setq M (sslength XX))
(while (< L M)
(setq DT (ssname XX L))
(setq DTM (entget DT))
(setq TEXT (cdr (assoc 10 DTM)))
(setq MAUDt (cdr (assoc 62 DTM)))
(luuos)
(setvar "osmode" 0)

(command "-layer" "new" MAUDT "color" MAUDT MAUDT "")
(command ".chprop" DT "" "la" MAUDT "COLOR" "BYLAYER" "")
(traos)
(setq L (1+ L))
)

(setq nhan (* l 100))
(setq chia (/ nhan m))
(princ (strcat "\nDa chinh: <" (itoa chia) " %>"))

(Princ)
)

Lisp có lổi
Command: mrl
PHAM QUOC DUY Binh Son - Quang ngai; error: no function definition: LUUOS

  • 0

#5 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 20 March 2009 - 08:35 PM

Lisp có lổi
Command: mrl
PHAM QUOC DUY Binh Son - Quang ngai; error: no function definition: LUUOS

Bạn bỏ dòng (luuos) và dòng (traos) là Lisp chạy OKê ngay.
  • 0

#6 duy782006

duy782006

    PHẠM QUỐC DUY

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 2155 Bài viết
Điểm đánh giá: 1360 (rất tốt)

Đã gửi 21 March 2009 - 07:45 AM

Lisp có lổi
Command: mrl
PHAM QUOC DUY Binh Son - Quang ngai; error: no function definition: LUUOS

Xin lỗi mọi người! Vì hai cái hàm luuos và traos trong máy mình có sẳn nên không phát hiện ra lổi.
Sửa lại như sau:
(Defun c:MRL ()
(princ "\nPHAM QUOC DUY Binh Son - Quang ngai")
(setq XX (ssget "x"))
(setq L 0)
(setq M (sslength XX))
(while (< L M)
(setq DT (ssname XX L))
(setq DTM (entget DT))
(setq TEXT (cdr (assoc 10 DTM)))
(setq MAUDt (cdr (assoc 62 DTM)))

(command "-layer" "new" MAUDT "color" MAUDT MAUDT "")
(command ".chprop" DT "" "la" MAUDT "COLOR" "BYLAYER" "")
(setq L (1+ L))
)

(setq nhan (* l 100))
(setq chia (/ nhan m))
(princ (strcat "\nDa chinh: <" (itoa chia) " %>"))

(Princ)
)

  • 0

Cứ ngỡ trần gian là cõi thật.Cho nên tất bật đến bây giờ.
Tạo hộp thoại bằng lisp My blog QUY ĐỊNH ĐẶT TÊN TOPIC TRONG CHUYÊN MỤC LISPD http://ktsduy.wordpress.com/
Để cám ơn chỉ cần nhấn rep_up.png
(Là nhấn vào nút đó phía bài viết của người ta í chứ đừng có nhè cái hình này mà nhấn miết đi nha :-D


#7 fbh81

fbh81

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 10 (tàm tạm)

Đã gửi 24 March 2009 - 04:17 PM

mấy cái này thì đâu cần lisp, dùng lênh cơ bản của cad luôn đó là lệnh filter FI
FI>>trong select filter chọn colour cần chọn>>add to list>>apply>>khua cả bản vẽ là chọn được đối tượng theo màu ngay thôi
  • 0

#8 archhnm

archhnm

    biết zoom

  • Members
  • Pip
  • 18 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 May 2009 - 04:20 PM

mấy cái này thì đâu cần lisp, dùng lênh cơ bản của cad luôn đó là lệnh filter FI
FI>>trong select filter chọn colour cần chọn>>add to list>>apply>>khua cả bản vẽ là chọn được đối tượng theo màu ngay thôi


Bro nói đúng , M chỉ sử dụng fi rất hiệu qua
  • 0

#9 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 22 May 2009 - 04:45 PM

mấy cái này thì đâu cần lisp, dùng lênh cơ bản của cad luôn đó là lệnh filter FI
FI>>trong select filter chọn colour cần chọn>>add to list>>apply>>khua cả bản vẽ là chọn được đối tượng theo màu ngay thôi


Bro nói đúng , M chỉ sử dụng fi rất hiệu qua


Nếu đối tượng có màu là ByLayer thì làm sao có thể sử dụng lệnh Fi hay Quick select hử bạn?
  • 0